> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/eth_sendrawtransaction.md).

# BSC RPC eth\_sendRawTransaction API 文檔

使用 BlockRazor BSC RPC eth\_sendRawTransaction API，查看端點、請求參數、請求示例、返回示例以及其他 JSON RPC 方法

`eth_sendRawTransaction` 兼容原生的JSON-RPC方法，無需進行額外修改。

如需修改交易披露、返利地址和revert保護等參數，可前往[控制台](https://blockrazor.io/#/login)配置項目專屬RPC。

### 端點

{% hint style="info" %}
项目RPC可參考 [集成RPC](/tc/transaction-submission/rpc/bsc/integration.md) 获取
{% endhint %}

<table><thead><tr><th width="165.31640625">端點類型</th><th width="483.47265625">URL</th></tr></thead><tbody><tr><td>通用RPC</td><td>https://bsc.blockrazor.xyz</td></tr><tr><td>項目默認RPC</td><td>https://bsc.blockrazor.xyz/&#x3C;rpc_id></td></tr><tr><td>項目自定義RPC</td><td>https://&#x3C;custom_domain>.bsc.blockrazor.xyz</td></tr></tbody></table>

### 請求參數

<table><thead><tr><th width="124">參數</th><th width="65">必選</th><th width="110">格式</th><th width="180">示例</th><th>備註</th></tr></thead><tbody><tr><td>-</td><td>是</td><td>bytes</td><td>"0xd46e……445675"</td><td>raw tx</td></tr></tbody></table>

### 請求示例

```json
curl -X POST -H "Content-Type: application/json" --data '{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "eth_sendRawTransaction",
    "params": [
        "0xd46e……445675"
    ]
}' https://bsc.blockrazor.xyz
```

### 返回示例

**正常**

```json
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xe670……527331"
}
```

**異常**

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "error": {
	"code": -32000,
	"message": "rlp: element is larger than containing list"
  }
}
```

### 其他JSON-RPC方法

RPC支持BSC節點原生的JSON-RPC方法，可參考<https://ethereum.org/zh/developers/docs/apis/json-rpc/#json-rpc-methods>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/eth_sendrawtransaction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
